package com.realnet.testdata.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.testdata.Entity.State;
import com.realnet.testdata.Services.StateService ;








@RequestMapping(value = "/State")
 @CrossOrigin("*") 
@RestController
public class StateController {
	@Autowired
	private StateService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/State")
		  public State Savedata(@RequestBody State data) {
		State save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/State/{id}")
	public  State update(@RequestBody State data,@PathVariable Integer id ) {
		State update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/State/getall/page")
	public Page<State> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<State> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/State")
	public List<State> getdetails() {
		 List<State> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/State")
	public List<State> getallwioutsec() {
		 List<State> get = Service.getdetails();		
		return get;
}
@GetMapping("/State/{id}")
	public  State  getdetailsbyId(@PathVariable Integer id ) {
		State  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/State/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}